Bug 5971 - Release source code of XGI Z9
Summary: Release source code of XGI Z9
Status: RESOLVED FIXED
Alias: None
Product: xorg
Classification: Unclassified
Component: Driver/XGI (show other bugs)
Version: 6.8.2
Hardware: x86 (IA32) Linux (All)
: high normal
Assignee: Xorg Project Team
QA Contact: Xorg Project Team
URL:
Whiteboard:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2006-02-20 20:27 UTC by Jong Lin
Modified: 2018-07-17 09:45 UTC (History)
3 users (show)

See Also:
i915 platform:
i915 features:


Attachments
Source code of XGI Volari Z9 (541.16 KB, application/x-gzip-compressed)
2006-02-20 20:29 UTC, Jong Lin
no flags Details
submit an Imakefile (4.74 KB, text/plain)
2006-08-30 19:50 UTC, Jong Lin
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jong Lin 2006-02-20 20:27:47 UTC
First time to release source code of Z9. 
It is backward compatible with Z7
Comment 1 Jong Lin 2006-02-20 20:29:30 UTC
Created attachment 4683 [details]
Source code of XGI Volari Z9

Source code of XGI Volari Z9
Comment 2 Stefan Dirsch 2006-02-20 20:36:31 UTC
JFYI, Imakefile is a tarball.
Comment 3 Jong Lin 2006-03-18 13:32:44 UTC
Is there someone with CVS commit rights finally commit 
this new driver to CVS, so it will be included with next revision of X.Org 6.9? 
Comment 4 Erik Andren 2006-04-22 23:34:17 UTC
Adding patch keyword. 
Jong, FYI development on the monolithic 6.9 tree is dead the only thing that
will be pushed that way is bugfix releases.
Comment 5 Jong Lin 2006-08-30 19:50:06 UTC
Created attachment 6754 [details]
submit an Imakefile 

submit an Imakefile
Comment 6 Alex Deucher 2006-11-23 21:52:34 UTC
If it's compatible with the Z7, could we just add the Z9 PCI ids to the sis driver?
Comment 7 Jong Lin 2006-11-26 18:28:17 UTC
(In reply to comment #6)
> If it's compatible with the Z7, could we just add the Z9 PCI ids to the sis 
driver?

We don't need to add any id for Z9, it could work with current SiS driver.
But this updated source provides some new features such as DDR2 and DVO as well 
as bug fixing.
Comment 8 Alex Deucher 2006-11-27 08:15:05 UTC
(In reply to comment #7)
> (In reply to comment #6)
> > If it's compatible with the Z7, could we just add the Z9 PCI ids to the sis 
> driver?
> 
> We don't need to add any id for Z9, it could work with current SiS driver.
> But this updated source provides some new features such as DDR2 and DVO as well 
> as bug fixing.

Any chance you could add these features to the sis driver or the xgi driver (bug
8611) or at least provide a rough diff of the changes?  I'd rather not add a new
driver for one chip that's 99% the same as two other drivers.  It will be a lot
harder to maintain and update.
Comment 9 Daniel Stone 2007-02-27 01:30:33 UTC
Sorry about the phenomenal bug spam, guys.  Adding xorg-team@ to the QA contact so bugs don't get lost in future.
Comment 10 Stefan Dirsch 2007-11-04 10:01:36 UTC
Jong, any response to comment #8?
Comment 11 severin double 2010-10-06 09:02:13 UTC
seeming really stupid. Are there some up-to-date instructions? Apparently I am using X version 11 revision 0, but I can't seem to find that in the X sources??? This does not help to start with... Any help much appreciated...
Comment 12 Alan Coopersmith 2010-10-06 09:19:48 UTC
(In reply to comment #11)
> seeming really stupid. Are there some up-to-date instructions?  Apparently 
> I am using X version 11 revision 0, but I can't seem to find that in the X
> sources??? This does not help to start with... Any help much appreciated...

"X version 11 revision 0" is the protocol version, which hasn't changed
since 1987, so that really doesn't say anything about the actual version.

If you're looking for the driver submitted in this bug report, the bug is
still open because it's never been integrated, and the patch is now stale
since it's against the old X11R6.* build system (imake) not X11R7.* (autoconf).
Comment 13 severin double 2010-10-06 09:43:28 UTC
(In reply to comment #12)
> (In reply to comment #11)
> > seeming really stupid. Are there some up-to-date instructions?  Apparently 
> > I am using X version 11 revision 0, but I can't seem to find that in the X
> > sources??? This does not help to start with... Any help much appreciated...
> 
> "X version 11 revision 0" is the protocol version, which hasn't changed
> since 1987, so that really doesn't say anything about the actual version.
> 
> If you're looking for the driver submitted in this bug report, the bug is
> still open because it's never been integrated, and the patch is now stale
> since it's against the old X11R6.* build system (imake) not X11R7.* (autoconf).

The computer I'm trying to sort out is a qzd, chinese import. To be honest windows was on it to begin with but because the lastest version of the flash player didn't work on it for some reason I downloaded what was probably a dubious version 7; it worked for a few seconds (badly) then zapped the flash drive. I'm now trying to install opensuse 11.2 to usb. I'm not entirely new to linux but must admit this has really foxed me. There must be a way of sorting it, as I had an old version of knoppix (6.1, I think) that worked; although must admit the latest version does not support it. Is there anything I can do, or should I just bin it...
Comment 14 Stefan Dirsch 2018-07-17 09:45:55 UTC
Looks like Z9 support has been added to xf86-video-xgi driver with

commit 2ac9f2a81d2cc4ec90e3fe095b2e975aa5ed9316
Author: xgi0007 <xgi0007@linux.site>
Date:   Thu May 6 13:29:15 2010 +0800

    XGI:Unify driver for x86/PowerPC/ARM, Add EXA, I2c EDID, Custom Modes, Bugs fixed, ...

Therefore closing as fixed.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.